
Redmine - Defect #10466

Error after upgrading to version 1.3.2 (2012-03-11)

2012-03-16 10:59 - Sasha Harutyunyan

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM extra Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

Hello guys,

we have a problem with reposman.rb after upgrading to version 1.3.2

/opt/redmine/extra/svn/reposman.rb --redmine localhost --svn-dir /var/svn --owner apache --group apache --url 

https://redmine.cypressdigitalmedia.com/svn/ --key=somekey --verbose

and answer is a

Unable to connect to http://localhost/sys/: Failed with 500 Internal Server Error

About your application's environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.8.16

Rack version              1.1.3

Rails version             2.3.14

Active Record version     2.3.14

Active Resource version   2.3.14

Action Mailer version     2.3.14

Active Support version    2.3.14

Application root          /opt/redmine

Environment               production

Database adapter          mysql

Database schema version   20120205111326

About your Redmine plugins

Redmine Checkout plugin   0.5

Global filter plugin      0.0.1

History

#1 - 2012-03-16 11:22 - Etienne Massip

- Category set to SCM extra

Please check your server and RM log files.

#2 - 2012-03-16 14:39 - Sasha Harutyunyan

- File log.txt added

Hello again

i've found some logs , please see attached log.txt file

#3 - 2012-03-16 15:12 - Etienne Massip

Could you try without plugins?

And if it is not working, could you try with mysql2 DB adapter?

#4 - 2012-03-17 19:33 - Sasha Harutyunyan

hello again
https://redmine.cypressdigitalmedia.com/svn/
http://localhost/sys/


Disable plug-ins does not solve the problem

switching to mysql2 adapter is painfully . there is a some errors for activerecord-mysql2-adapter , and i am cannot instal it

#5 - 2012-03-17 21:54 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Cant reproduce

Are you using 1.3.2.stable or 1.3.2.devel?

If you're using 1.3.2.stable, you shouldn't have a "identifier" column in the "repositories" table.

If you're using 1.3.2.devel, then your app/controllers/sys_controller.rb is outdated or you didn't properly restarted Redmine.

#6 - 2012-03-18 21:09 - Sasha Harutyunyan

Hi Jean-Philippe Lang,

Yes we are using stable release .. BTW deleting "identifier" column in the "repositories" table solves the problem .

Thanks

Files

log.txt 4.02 KB 2012-03-16 Sasha Harutyunyan
